Class | Tk::Tcllib::Widget::Dialog
In: | tk/lib/tkextlib/tcllib/dialog.rb
Parent: | TkWindow

### Methods

add cancel close display get_frame package_name package_version set_widget show withdraw

### Constants

PACKAGE_NAME | = | 'widget::dialog'.freeze
TkCommandNames | = | ['::widget::dialog'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::dialog')
            rescue
              ''
            end
          end

### Public Instance methods

add(what, *args)

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 52
      def add(what, *args)
        window(tk_send('add', *args))
      end

cancel()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 71
      def cancel
        tk_send('cancel')
        self
      end

close(reason = None)

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 76
      def close(reason = None)
        tk_send('close', reason)
      end

display()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 65
      def display
        tk_send('display')
        self
      end

get_frame()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 56
      def get_frame
        window(tk_send('getframe'))
      end

set_widget(widget)

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 60
      def set_widget(widget)
        tk_send('setwidget', widget)
        self
      end

show()

Alias for display

withdraw()

[Source]

    # File tk/lib/tkextlib/tcllib/dialog.rb, line 80
      def withdraw
        tk_send('withdraw')
        self
      end

[Validate]